Class
IntervalTree
A datastructure that efficiently stores intervals.
IntervalTree<TValue, TCargo>
Include Headers
seqan/misc/misc_interval_tree.h
Parameters

TValue | The value type.
TCargo | The cargo/id type. Default: int Remarks: If the intervals are not associated with cargos/IDs, they will be numbered consecutively.

Metafunctions

Cargo | Type of additional data stored in an object.
Value | Type of the items in the container.

Member Functions

IntervalTree | Constructor

Functions

addInterval | Adds an interval to an interval tree.
findIntervals | Find all intervals that contain the query point or overlap with the query interval.
findIntervalsExcludeTouching | :Find all intervals that contain the query point, exclude intervals that touch the query, i.e. where the query point equals the start or end point.

See Also
IntervalTree Centers
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45